Get All Subscriptions
curl --request GET \
--url https://api.hel.io/v1/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hel.io/v1/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hel.io/v1/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "67a1e53e10905ce3927d6f1a",
"status": "EXPIRED",
"email": "test@hel.io",
"renewalDate": "2025-03-04T00:00:00.000Z",
"createdAt": "2025-02-04T10:00:30.259Z",
"transactions": [
{
"id": "67a1e53810905ce3927d6e46",
"paylinkId": "67a0d1ed18c700e1cda9ebf6",
"fee": "2000",
"quantity": 1,
"createdAt": "2025-02-04T10:00:24.839Z",
"paymentType": "PAYLINK",
"meta": {
"id": "67a1e53810905ce3927d6e44",
"amount": "98000",
"senderPK": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"recipientPK": "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW",
"transactionType": "PAYLINK",
"customerDetails": {
"email": "jkbaffourr@gmail.com",
"discordUser": null
},
"productDetails": null,
"additionalProductDetails": [],
"transactionSignature": "5QCkdQSeRd3sHs9etreVn1qR7RGcGrsQoHm6vw2ddSXYjSafrkSpPg3uCzv7D2eKg4toBPPyzyAxDUZDBPyGXBoD",
"transactionStatus": "SUCCESS",
"splitRevenue": false,
"remainingAccounts": [],
"totalAmount": "98000",
"affiliateAmount": "0",
"tokenQuote": {
"from": "USDC",
"fromAmountDecimal": "0.1",
"to": "USDC",
"toAmountMinimal": "100000"
},
"shopifyPaymentDetails": null,
"submitGeolocation": "GB"
}
}
]
}
]{
"message": "Api key or token is invalid",
"code": 401
}SUBSCRIPTIONS
Get All Subscriptions
Fetch all subscriptions associated with your Helio account.
GET
/
v1
/
subscriptions
Get All Subscriptions
Note: When using the production environment at moonpay.hel.io, set your API endpoint to
api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.Authorizations
Authentication using JWT token
Query Parameters
The email address used to set up the subscription.
The ID of the pay link associated with the subscription.
Your API key can be generated on the Helio Dashboard’s settings page.
⌘I
